function [t, p, q] = RK4(p0, q0, tspan, h)
% RK4 method for
% 
%  [p',q'] = [p,q]/(p^2 + q^2)
%
% Input paramters:
% p0: initial value for p
% q0: initial value for q
% tspan: [t0, T] starting and stopping time
% h: timestep size
%
% Outputparameters
% t: dicrete time points
% p: solution for p at time points
% q: solution for q at time points

% Time intervall
% number of time steps
N = ceil(diff(tspan)/h);
h = diff(tspan)/N;
t = linspace(tspan(1),tspan(2),N+1);

% memory allocation
p = zeros(1,N+1); p(1) = p0;
q = zeros(1,N+1); q(1) = q0;

% system function for x = [p;q]
f = @(x) ;


for k = 2:length(t)
   
    
    
    
  p(k) =  ;
  q(k) =  ;
end
